aboutsummaryrefslogtreecommitdiffstats
path: root/run.sh
diff options
context:
space:
mode:
authorbloodstalker <thabogre@gmail.com>2018-08-17 10:13:46 +0000
committerbloodstalker <thabogre@gmail.com>2018-08-17 10:13:46 +0000
commitb02e09aaa9d199a84f4f02b9ee860550424da0e0 (patch)
treed9e58e32b8b478ee47873f6a967ef770fb26c390 /run.sh
parentupdate (diff)
downloadluatablegen-b02e09aaa9d199a84f4f02b9ee860550424da0e0.tar.gz
luatablegen-b02e09aaa9d199a84f4f02b9ee860550424da0e0.zip
update
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/run.sh b/run.sh
index 78ab9ea..3caad5d 100755
--- a/run.sh
+++ b/run.sh
@@ -3,10 +3,10 @@ cd $(dirname $0)
if [[ -d ./out ]]; then :;else mkdir ./out;fi
./luatablegen.py --tbg ./test/wasmtablegen.json --out ./out --luaheader /home/bloodstalker/devi/hell2/bruiser/lua-5.3.4/src --pre ./test/wasmheader.txt --headeraggr ./out/wasm_tables.h --lualibpath ./out/wasm.lua --docpath ./out/wasm.md --xml ./test/wasm.xml --tbldefs ./out/
clang-format ./out/*.c ./out/*.h -i
-#for filename in ./out/*.c; do
-# gcc -c $filename > /dev/null 2>&1
-# if [[ $? != 0 ]]; then
-# echo $filename did not compile.
-# fi
-#done
-#rm *.o
+for filename in ./out/*.c; do
+ gcc -c $filename > /dev/null 2>&1
+ if [[ $? != 0 ]]; then
+ echo $filename did not compile.
+ fi
+done
+rm *.o